Skip to main content
POST
/
reimbursements
/
batch
/
upsert
Batch upsert reimbursements
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/reimbursements/batch/upsert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "id": "<id>",
    "amount": 250,
    "effective_from": "2026-01-01"
  },
  {
    "work_assignment_id": "<id>",
    "reimbursement_type": "non_taxable_reimbursement",
    "amount": 200,
    "frequency": "per_payroll",
    "effective_from": "2026-01-01"
  }
]
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/reimbursements/batch/upsert"

payload = [
{
"id": "<id>",
"amount": 250,
"effective_from": "2026-01-01"
},
{
"work_assignment_id": "<id>",
"reimbursement_type": "non_taxable_reimbursement",
"amount": 200,
"frequency": "per_payroll",
"effective_from": "2026-01-01"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{id: '<id>', amount: 250, effective_from: '2026-01-01'},
{
work_assignment_id: '<id>',
reimbursement_type: 'non_taxable_reimbursement',
amount: 200,
frequency: 'per_payroll',
effective_from: '2026-01-01'
}
])
};

fetch('https://sandbox.nmbr.co/services/payroll/reimbursements/batch/upsert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
Required array length: 1 - 100 elements

Response

202

Accepted